ODK API Portal
English
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • 지원 종료
  • 최근 변경
Information
apple
category
channels
check-region
client-base
client-log
config
contact-us
cover
curation
epg
episode
episodes
fast-channel
firetv
google
live-tv
navigation
notice
otp
page
payment
playback-log
playback
profile
program
programs
promotion-banner
reward
    reward-categoryget리워드(Voucherify) 웹훅 수신postreward-programgetreward-redeempostreward-redemptionget리워드 사용 처리 (전체 수정)putreward-usepatch
samsung
search
shorts
sponsor
tv-guide
user
visio-amasian-feed
Schemas
powered by Zudoku
ODX API v3
ODX API v3

reward


reward-category

GET
https://odkmedia.io
/odx/api/v3/reward/category/

Get lists of category and programs for Rewards

reward-category › query Parameters

debug
​string

If value is "on", debug is included in response.

ordering
​string

Which field to use when ordering the results.

page
​integer

A page number within the paginated result set.

page_size
​integer

Number of results to return per page.

search
​string

A search term.

reward-category › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

reward-category › Responses

200
PaginatedRewardCategoryList
count
​integer
next
​string | null · uri
previous
​string | null · uri
​RewardCategory[]
GET/odx/api/v3/reward/category/
curl https://odkmedia.io/odx/api/v3/reward/category \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2", "results": [ { "icon_type": "account", "id": 0, "layout_type": "landscape", "name": "name", "programs": "programs" } ] }
json
application/json

리워드(Voucherify) 웹훅 수신

POST
https://odkmedia.io
/odx/api/v3/reward/notification/

인증 없는 공개 웹훅으로, 서드파티 로열티 플랫폼 Voucherify 의 바우처/캠페인 이벤트를 받는다. 이벤트 종류(생성/수정/게시/비활성 등)에 따라 로컬 RewardProgram 레코드를 트랜잭션 안에서 upsert 한다.

리워드(Voucherify) 웹훅 수신 › query Parameters

debug
​string

If value is "on", debug is included in response.

리워드(Voucherify) 웹훅 수신 › Headers

Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

리워드(Voucherify) 웹훅 수신 › Request Body

NotificationPayloadRequest
id
​string · minLength: 1 · required
created_at
​string | null · date-time
​object
​object
project_id
​string | null · minLength: 1
​object
type
​string | null · minLength: 1

리워드(Voucherify) 웹훅 수신 › Responses

200
NotificationPayload
id
​string · required
created_at
​string | null · date-time
​object
​object
project_id
​string | null
​object
type
​string | null
POST/odx/api/v3/reward/notification/
curl https://odkmedia.io/odx/api/v3/reward/notification \ --request POST \ --header 'Content-Type: application/json' \ --data '{ "created_at": "2024-08-25T15:00:00Z", "data": { "campaign": {}, "voucher": { "active": true, "additional_info": "additional_info", "assets": { "key": { "id": "id", "url": "https://www.example.com/path/to/resource" } }, "campaign": "campaign", "campaign_id": "campaign_id", "categories": [ { "created_at": "2024-08-25T15:00:00Z", "hierarchy": 0, "id": "id", "name": "name", "object": "object", "updated_at": "2024-08-25T15:00:00Z" } ], "category": "category", "category_id": "category_id", "code": "code", "created_at": "2024-08-25T15:00:00Z", "discount": { "amount_off": 0, "effect": "effect", "type": "type" }, "expiration_date": "2024-08-25T15:00:00Z", "gift": {}, "id": "id", "is_referral_code": true, "loyalty_card": {}, "metadata": {}, "object": "object", "publish": {}, "redemption": {}, "start_date": "2024-08-25T15:00:00Z", "type": "type", "updated_at": "2024-08-25T15:00:00Z", "validation_rules_assignments": {}, "validity_day_of_week": {}, "validity_hours": {}, "validity_timeframe": {} } }, "event": { "created_at": "2024-08-25T15:00:00Z", "entity_id": "entity_id", "event_source": { "channel": "channel", "user": { "key": {} } }, "group_id": "group_id", "id": "id", "type": "type" }, "id": "id", "project_id": "project_id", "source": { "id": "id", "object": "object", "target_url": "https://www.example.com/path/to/resource" }, "type": "type" }'
Example Request Body
{ "created_at": "2024-08-25T15:00:00Z", "data": { "campaign": {}, "voucher": { "active": true, "additional_info": "additional_info", "assets": { "key": { "id": "id", "url": "https://www.example.com/path/to/resource" } }, "campaign": "campaign", "campaign_id": "campaign_id", "categories": [ { "created_at": "2024-08-25T15:00:00Z", "hierarchy": 0, "id": "id", "name": "name", "object": "object", "updated_at": "2024-08-25T15:00:00Z" } ], "category": "category", "category_id": "category_id", "code": "code", "created_at": "2024-08-25T15:00:00Z", "discount": { "amount_off": 0, "effect": "effect", "type": "type" }, "expiration_date": "2024-08-25T15:00:00Z", "gift": {}, "id": "id", "is_referral_code": true, "loyalty_card": {}, "metadata": {}, "object": "object", "publish": {}, "redemption": {}, "start_date": "2024-08-25T15:00:00Z", "type": "type", "updated_at": "2024-08-25T15:00:00Z", "validation_rules_assignments": {}, "validity_day_of_week": {}, "validity_hours": {}, "validity_timeframe": {} } }, "event": { "created_at": "2024-08-25T15:00:00Z", "entity_id": "entity_id", "event_source": { "channel": "channel", "user": { "key": {} } }, "group_id": "group_id", "id": "id", "type": "type" }, "id": "id", "project_id": "project_id", "source": { "id": "id", "object": "object", "target_url": "https://www.example.com/path/to/resource" }, "type": "type" }
json
Example Responses
{ "created_at": "2024-08-25T15:00:00Z", "data": { "campaign": {}, "voucher": { "active": true, "additional_info": "additional_info", "assets": { "key": { "id": "id", "url": "https://www.example.com/path/to/resource" } }, "campaign": "campaign", "campaign_id": "campaign_id", "categories": [ { "created_at": "2024-08-25T15:00:00Z", "hierarchy": 0, "id": "id", "name": "name", "object": "object", "updated_at": "2024-08-25T15:00:00Z" } ], "category": "category", "category_id": "category_id", "code": "code", "created_at": "2024-08-25T15:00:00Z", "discount": { "amount_off": 0, "effect": "effect", "type": "type" }, "expiration_date": "2024-08-25T15:00:00Z", "gift": {}, "id": "id", "is_referral_code": true, "loyalty_card": {}, "metadata": {}, "object": "object", "publish": {}, "redemption": {}, "start_date": "2024-08-25T15:00:00Z", "type": "type", "updated_at": "2024-08-25T15:00:00Z", "validation_rules_assignments": {}, "validity_day_of_week": {}, "validity_hours": {}, "validity_timeframe": {} } }, "event": { "created_at": "2024-08-25T15:00:00Z", "entity_id": "entity_id", "event_source": { "channel": "channel", "user": { "key": {} } }, "group_id": "group_id", "id": "id", "type": "type" }, "id": "id", "project_id": "project_id", "source": { "id": "id", "object": "object", "target_url": "https://www.example.com/path/to/resource" }, "type": "type" }
json
application/json

reward-program

GET
https://odkmedia.io
/odx/api/v3/reward/program/{id}/

Get details of program for Rewards

reward-program › path Parameters

id
​integer · required

reward-program › query Parameters

debug
​string

If value is "on", debug is included in response.

reward-program › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

reward-program › Responses

200
RewardProgramDetail
card_url
​string · uri · readOnly

Coupon card image URL

code
​string · readOnly

Reward program code (Coupon code), The empty string means no coupon code.

disclaimer
​string · readOnly

It will parse with -(hyphen) to make string list.

id
​integer · readOnly

Reward program ID

partner_name
​string · readOnly

ex) H Mart, LandingHelp, etc.

redemption_rule
​string · enum · readOnly
  • subscription_required - Subscription Required
  • sign_in_required - Sign In Required
  • no_restriction - No Restriction
Enum values:
subscription_required
sign_in_required
no_restriction
redirect_url
​string · uri · readOnly

Partner website URL

secondary_title
​string · readOnly

subtitle for reward program

time_limit_seconds
​integer · readOnly

Offer must be used within this time.

title
​string · readOnly

Benefit title for reward program

GET/odx/api/v3/reward/program/{id}/
curl https://odkmedia.io/odx/api/v3/reward/program/:id \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "card_url": "https://www.example.com/path/to/resource", "code": "code", "disclaimer": "disclaimer", "id": 0, "partner_name": "partner_name", "redemption_rule": "subscription_required", "redirect_url": "https://www.example.com/path/to/resource", "secondary_title": "secondary_title", "time_limit_seconds": 0, "title": "title" }
json
application/json

reward-redeem

POST
https://odkmedia.io
/odx/api/v3/reward/redeem/

Create redemption with program for Rewards

reward-redeem › query Parameters

debug
​string

If value is "on", debug is included in response.

reward-redeem › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

reward-redeem › Request Body

RedeemRequest
program_id
​integer · required

reward-redeem › Responses

Redeem
program_id
​integer · required
POST/odx/api/v3/reward/redeem/
curl https://odkmedia.io/odx/api/v3/reward/redeem \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>' \ --data '{ "program_id": 0 }'
Example Request Body
{ "program_id": 0 }
json
Example Responses
{ "program_id": 0 }
json
application/json

reward-redemption

GET
https://odkmedia.io
/odx/api/v3/reward/redemption/{program_id}/

Get details of redemption with program for Rewards

reward-redemption › path Parameters

program_id
​integer · required

reward-redemption › query Parameters

debug
​string

If value is "on", debug is included in response.

reward-redemption › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

reward-redemption › Responses

200
Redemption
​RedemptionProgram · required
expired_at
​string · date-time · readOnly

Set to after time limit from redemption. If no time limit, set to null.

id
​integer · readOnly

Reward redemption ID

redeemed_at
​string · date-time · readOnly

A timestamp of when a user redeemed the coupon.

user
​integer · readOnly

User ID

GET/odx/api/v3/reward/redemption/{program_id}/
curl https://odkmedia.io/odx/api/v3/reward/redemption/:program_id \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "expired_at": "2024-08-25T15:00:00Z", "id": 0, "program": { "barcode_url": "https://www.example.com/path/to/resource", "id": 0, "instruction": "instruction", "time_limit_seconds": 0 }, "redeemed_at": "2024-08-25T15:00:00Z", "user": 0 }
json
application/json

리워드 사용 처리 (전체 수정)

PUT
https://odkmedia.io
/odx/api/v3/reward/use/

ODX 토큰 인증이 필요하다. 같은 뷰(UseView)는 PATCH 만 직접 구현해(program_id 로 찾은, 아직 쓰지 않은 Redemption 을 사용 처리) 있고 PUT 은 따로 오버라이드돼 있지 않으므로 DRF UpdateAPIView 의 기본 update() 흐름을 그대로 탄다.

리워드 사용 처리 (전체 수정) › query Parameters

debug
​string

If value is "on", debug is included in response.

리워드 사용 처리 (전체 수정) › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

리워드 사용 처리 (전체 수정) › Request Body

UseRequest
program_id
​integer · required

리워드 사용 처리 (전체 수정) › Responses

200
Use
program_id
​integer · required
PUT/odx/api/v3/reward/use/
curl https://odkmedia.io/odx/api/v3/reward/use \ --request PUT \ --header 'Content-Type: application/json' \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>' \ --data '{ "program_id": 0 }'
Example Request Body
{ "program_id": 0 }
json
Example Responses
{ "program_id": 0 }
json
application/json

reward-use

PATCH
https://odkmedia.io
/odx/api/v3/reward/use/

Update used_at of redemption with program for Rewards

reward-use › query Parameters

debug
​string

If value is "on", debug is included in response.

reward-use › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

reward-use › Request Body

PatchedUseRequest
program_id
​integer

reward-use › Responses

200
Use
program_id
​integer · required
PATCH/odx/api/v3/reward/use/
curl https://odkmedia.io/odx/api/v3/reward/use \ --request PATCH \ --header 'Content-Type: application/json' \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>' \ --data '{ "program_id": 0 }'
Example Request Body
{ "program_id": 0 }
json
Example Responses
{ "program_id": 0 }
json
application/json

promotion-bannersamsung